PSafeLockReadWrite Class Reference

Lock a PSafeObject for read/write and automatically unlock it when go out of scope. More...

`#include <safecoll.h>`

## Public Member Functions

| PSafeLockReadWrite (const PSafeObject &object)
| ~PSafeLockReadWrite ()
PBoolean | Lock ()
void | Unlock ()
PBoolean | IsLocked () const
bool | operator! () const

## Protected Attributes

PSafeObject & | safeObject
PBoolean | locked

## Detailed Description

Lock a PSafeObject for read/write and automatically unlock it when go out of scope.

## Constructor & Destructor Documentation

## PSafeLockReadWrite()

PSafeLockReadWrite::PSafeLockReadWrite | ( | const PSafeObject & | object | ) |

## ~PSafeLockReadWrite()

PSafeLockReadWrite::~PSafeLockReadWrite | ( |  | ) |

## Member Function Documentation

## IsLocked()

PBoolean PSafeLockReadWrite::IsLocked | ( |  | ) | const

inline

## Lock()

PBoolean PSafeLockReadWrite::Lock | ( |  | ) |

## operator!()

bool PSafeLockReadWrite::operator! | ( |  | ) | const

inline

## Unlock()

void PSafeLockReadWrite::Unlock | ( |  | ) |

## Member Data Documentation

## locked

PBoolean PSafeLockReadWrite::locked

protected

## safeObject

PSafeObject& PSafeLockReadWrite::safeObject

protected

The documentation for this class was generated from the following file:

- safecoll.h